Skip to content
API Reference

Retrieve

client.Organizations.SSOConnection.Get(ctx, organizationID, params) (*SSOConnection, error)
GET/organizations/{organization_id}/sso-connection

Get SSO connection configuration for organization

ParametersExpand Collapse
organizationID string

Organization ID or label identifier

minLength1
maxLength255
params OrganizationSSOConnectionGetParams
Expand param.Field[[]string]optional

Query param: Fields to expand in the response. Currently supports "permissions" to include the permissions field with the caller's permissions for the resource.

const OrganizationSSOConnectionGetParamsExpandPermissions OrganizationSSOConnectionGetParamsExpand = "permissions"
XClientRequestID param.Field[string]optional

Header param: Unique request identifier specified by the originating caller and passed along by proxies.

formatuuid
ReturnsExpand Collapse
type SSOConnection struct{…}

SSO connection configuration for an organization

ID string

Unique identifier for the SSO connection

ClientID string

OAuth 2.0 client ID

ClientSecretSet bool

Whether a client secret is configured

CreatedAt Time

The time the entity was created in utc

formatdate-time
Identifier string

SSO provider identifier (e.g., issuer URL)

minLength1
maxLength2048
UpdatedAt Time

The time the entity was mostly recently updated in utc

formatdate-time
Permissions map[string, map[string, bool]]optional

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Protocols SSOConnectionProtocoloptional

Protocol configuration for SSO connection

Oauth2 SSOConnectionProtocolOauth2optional

OAuth 2.0 protocol configuration for SSO connection

AuthorizationEndpoint stringoptional

OAuth 2.0 authorization endpoint

formaturi
CodeChallengeMethodsSupported []stringoptional

Supported PKCE code challenge methods

JwksUri stringoptional

JSON Web Key Set endpoint

formaturi
RegistrationEndpoint stringoptional

OAuth 2.0 registration endpoint

formaturi
ScopesSupported []stringoptional

Supported OAuth 2.0 scopes

TokenEndpoint stringoptional

OAuth 2.0 token endpoint

formaturi
Openid SSOConnectionProtocolOpenidoptional

OpenID Connect protocol configuration for SSO connection

UserinfoEndpoint stringoptional

OpenID Connect UserInfo endpoint

formaturi

Retrieve

package main

import (
  "context"
  "fmt"

  "github.com/keycardai/keycard-go"
)

func main() {
  client := keycard.NewClient(

  )
  ssoConnection, err := client.Organizations.SSOConnection.Get(
    context.TODO(),
    "x",
    keycard.OrganizationSSOConnectionGetParams{

    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", ssoConnection.ID)
}
{
  "id": "id",
  "client_id": "client_id",
  "client_secret_set": true,
  "created_at": "2019-12-27T18:11:19.117Z",
  "identifier": "x",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  },
  "protocols": {
    "oauth2": {
      "authorization_endpoint": "https://example.com",
      "code_challenge_methods_supported": [
        "string"
      ],
      "jwks_uri": "https://example.com",
      "registration_endpoint": "https://example.com",
      "scopes_supported": [
        "string"
      ],
      "token_endpoint": "https://example.com"
    },
    "openid": {
      "userinfo_endpoint": "https://example.com"
    }
  }
}
Returns Examples
{
  "id": "id",
  "client_id": "client_id",
  "client_secret_set": true,
  "created_at": "2019-12-27T18:11:19.117Z",
  "identifier": "x",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  },
  "protocols": {
    "oauth2": {
      "authorization_endpoint": "https://example.com",
      "code_challenge_methods_supported": [
        "string"
      ],
      "jwks_uri": "https://example.com",
      "registration_endpoint": "https://example.com",
      "scopes_supported": [
        "string"
      ],
      "token_endpoint": "https://example.com"
    },
    "openid": {
      "userinfo_endpoint": "https://example.com"
    }
  }
}